Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008298opensim[GRID] User Servicepublic2018-02-23 13:122019-02-05 12:27
ReporterTyphaineArtez 
Assigned ToTyphaineArtez 
PriorityhighSeverityblockReproducibilityalways
StatusclosedResolutionno change required 
PlatformOSOS Version
Product Version0.9.0 
Target VersionFixed in Version 
Summary0008298: Some tables are not created in MySQL storage configuration
DescriptionI am on Linux, with MariaDB (10.1.31)
I create a brand new opensim 0.9 instance, configure as StandaloneHypergrid.

First launch, tables creation and migration going on for most tables, but refuses to create GridUser (see log fragment: https://pastebin.com/ePTBeX8T [^]).

I could get the sql to inject to create it, but then I also have the same issue with group related tables.

Steps To Reproduceunzip opensim 0.9
configure it to use MySQL (with valid database and user)
Additional InformationJoined file is a snapshot of phpmyadmin, showing the number of tables created after OpenSim being up and running
TagsNo tags attached.
Git Revision or version number
Run ModeStandalone (1 Region)
Physics EngineBulletSim
EnvironmentMono / Linux64
Mono VersionOther
ViewerNot applicable
Attached Filespng file icon imgur-2018_02_23-22:09:55.png [^] (7,881 bytes) 2018-02-23 13:12

- Relationships

-  Notes
(0032559)
UbitUmarov (administrator)
2018-02-23 14:52

try set mariadb default character to utf8 or utf8mb3 and not uft8mb4
(0032560)
TyphaineArtez (reporter)
2018-02-23 15:02

database charset changed to utf8_general_ci, the table could be created.

Fixed, thank you
(0033902)
TyphaineArtez (reporter)
2019-01-22 00:19

Set mariadb default character set to utf8 or utf8mb3 and not uft8mb4
(0034310)
BillBlight (developer)
2019-02-05 12:27

Old Issues, closed, can be reopened if they still exist

- Issue History
Date Modified Username Field Change
2018-02-23 13:12 TyphaineArtez New Issue
2018-02-23 13:12 TyphaineArtez File Added: imgur-2018_02_23-22:09:55.png
2018-02-23 14:52 UbitUmarov Note Added: 0032559
2018-02-23 15:02 TyphaineArtez Note Added: 0032560
2018-02-23 15:04 TyphaineArtez Resolution open => no change required
2019-01-22 00:19 TyphaineArtez Note Added: 0033902
2019-01-22 00:19 TyphaineArtez Status new => resolved
2019-01-22 00:19 TyphaineArtez Assigned To => TyphaineArtez
2019-02-05 12:27 BillBlight Note Added: 0034310
2019-02-05 12:27 BillBlight Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker